### Enumeration

# AppStream UrlKind

since: 1.0

#### Declaration

    enum AppStream.UrlKind

#### Description [src]

The URL type.

Available since: 1.0

#### Members

`AS_URL_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_URL_KIND_HOMEPAGE`

  Project homepage.

  - Value: `1`
  - Nickname: `homepage`
  - Available since: 1.0
`AS_URL_KIND_BUGTRACKER`

  Bugtracker.

  - Value: `2`
  - Nickname: `bugtracker`
  - Available since: 1.0
`AS_URL_KIND_FAQ`

  FAQ page.

  - Value: `3`
  - Nickname: `faq`
  - Available since: 1.0
`AS_URL_KIND_HELP`

  Help manual.

  - Value: `4`
  - Nickname: `help`
  - Available since: 1.0
`AS_URL_KIND_DONATION`

  Page with information about how to donate to the project.

  - Value: `5`
  - Nickname: `donation`
  - Available since: 1.0
`AS_URL_KIND_TRANSLATE`

  Page with instructions on how to translate the project / submit translations.

  - Value: `6`
  - Nickname: `translate`
  - Available since: 1.0
`AS_URL_KIND_CONTACT`

  Contact the developers.

  - Value: `7`
  - Nickname: `contact`
  - Available since: 1.0
`AS_URL_KIND_VCS_BROWSER`

  Browse the source code.

  - Value: `8`
  - Nickname: `vcs-browser`
  - Available since: 1.0
`AS_URL_KIND_CONTRIBUTE`

  Help developing.

  - Value: `9`
  - Nickname: `contribute`
  - Available since: 1.0

#### Type functions

###### as_url_kind_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_url_kind_to_string

Converts the enumerated value to an text representation.

since: 1.0